__gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <node_metadata_selector.hpp>`

## Public Types

typedef tree_metadata_helper< __node_u, null_update >::type | type

## Detailed Description

template<typename Key, typename Data, typename Cmp_Fn, template< typename Node_CItr, typename Const_Iterator, typename Cmp_Fn_, typename _Alloc_ > class Node_Update, typename _Alloc>
struct __gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc >

Tree node metadata dispatch.

Definition at line 84 of file tree_policy/node_metadata_selector.hpp.

## Member Typedef Documentation

## type

template<typename Key , typename Data , typename Cmp_Fn , template< typename Node_CItr, typename Const_Iterator, typename Cmp_Fn_, typename _Alloc_ > class Node_Update, typename _Alloc >

typedef tree_metadata_helper<__node_u,null_update>::type __gnu_pbds::detail::tree_node_metadata_dispatch< Key, Data, Cmp_Fn, Node_Update, _Alloc >::type

Definition at line 97 of file tree_policy/node_metadata_selector.hpp.

The documentation for this struct was generated from the following file:

- tree_policy/node_metadata_selector.hpp